Internal-Operations

# Class: WideImage_Operation_ApplyFilter

Source Location: /Operation/ApplyFilter.php

### Class Overview

ApplyFilter operation class

### Variables

- $one_arg_filters

### Methods

- execute

### Class Details

[line 30]
ApplyFilter operation class
[ Top ]

### Class Variables

#### static $one_arg_filters = array(IMG_FILTER_SMOOTH, IMG_FILTER_CONTRAST, IMG_FILTER_BRIGHTNESS)

[line 37]

A list of filters that only accept one arguments for imagefilter()

#### Tags:

access: | protected

Type: | array

[ Top ]

### Class Methods

### method execute [line 49]

`WideImage_TrueColorImage execute( WideImage_Image $image, int $filter, [numeric $arg1 = null], [numeric $arg2 = null], [numeric $arg3 = null], [ $arg4 = null])`

Executes imagefilter

#### Parameters:

WideImage_Image | $image |
int | $filter |
numeric | $arg1 |
numeric | $arg2 |
numeric | $arg3 |
| $arg4 |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:41 +0100 by phpDocumentor 1.4.3